Security Protocols

Create a security protocol

post

Creates a security protocol linked to an address of your address book.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
addressnumberRequired

Id of the address the security protocol should be linked.

Example: 1
documentstring Β· byteRequired

File content. Use content-type with multipart/form-data value to the header of the request to send a document.

document_titlestringOptional

Filename

Responses
post
/security-protocols/
201

Create successful

Partially update a security protocol

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pkintegerRequired

Dashdoc's internal id

Body
addressnumberOptional

Id of the address that the security protocol should be linked to.

Example: 1
documentstring Β· byteOptional

File content. Use content-type with multipart/form-data value to the header of the request to send a document.

document_titlestringOptional

Filename

Responses
chevron-right
200

Get successful

application/json
pknumberOptional

Dashdoc's internal id. It will be automatically generated by Dashdoc.

Example: 1
addressnumberOptional

Id of the address that the security protocol should be linked to.

Example: 1
documentstringOptional

URL of the stored document. You can download the document from this URL.

Example: https://storage.googleapis.com/dashdoc-media/media/shipments/aabd42eb.png
document_titlestringOptional

Filename

updatedstring Β· date-timeOptional

Last updated time

has_been_seen_recentlybooleanOptional

Check if you've seen the security protocol recently. Returns null if it hasn't been seen at all.

patch
/security-protocols/{pk}/
200

Get successful

Last updated

Was this helpful?